{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
  };
  outputs =
    { nixpkgs, ... }:
    let
      pkgs = nixpkgs.legacyPackages.x86_64-linux;
    in
    {
      /*
        packages.x86_64-linux.default = pkgs.dockerTools.buildLayeredImage {
          name = "secret-santa";
          tag = "latest";
        };
      */
      devShells.x86_64-linux = {
        default = pkgs.mkShell {
          packages = [
            pkgs.sqlc
            (pkgs.callPackage ./nix/sql-migrate.nix { })
            (pkgs.callPackage ./nix/actiongraph.nix { })
            pkgs.sqlite
          ];
        };
      };
      formatter.x86_64-linux = pkgs.nixfmt-rfc-style;
    };
}
