package testhelpers

import (
	"database/sql"
	"github.com/rubenv/sql-migrate"
)

func MigrateDatabase(databaseDriver string, connectionString string) error {
	db, err := sql.Open(databaseDriver, connectionString)
	if err != nil {
		return err
	}
	migrations := &migrate.FileMigrationSource{
		Dir: "sql/migrations",
	}

	_, err = migrate.Exec(db, databaseDriver, migrations, migrate.Up)
	return err
}
