{
  stdenv,
  lib,
  buildGoModule,
  fetchFromGitHub,
  substituteAll,
}:

buildGoModule rec {
  pname = "sql-migrate";
  version = "1.7.0";

  src = fetchFromGitHub {
    owner = "rubenv";
    repo = "sql-migrate";
    rev = "v${version}";
    hash = "sha256-UAkZkLiUI0aTYLkgXW/Im0POjFCEnZa5zAE435LJKMg=";
  };

  vendorHash = "sha256-rBVFxzppP71txZPk7C1O+eHCEuCzHFWZKdyOFYOqpfA=";

  ldflags = [
    "-s"
    "-w"
  ];

  patches = [
    (substituteAll {
      src = ./migrate-version.patch;
      current_version = "v${version}";
    })
  ];

  doCheck = true;

  meta = with lib; {
    homepage = "https://github.com/rubenv/sql-migrate";
    description = "SQL schema migration tool for Go programs";
    license = licenses.mit;
  };
}
